<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<configuration>
<corpora>
	<wikitemp>
                <Path>exampleFiles/0</Path>
                <SrcRegExp>((?!(\.wiki\.|\.translated\.)).)*\\.es</SrcRegExp>
                <TrgRegExp>((?!(\.wiki\.|\.translated\.)).)*\\.en</TrgRegExp>
                <OneSentPerLine>true</OneSentPerLine>
	</wikitemp>
</corpora>
<resources>
	<stopwords>
		<Path>/path/to/StopWordLists/</Path>
		<TrgStopWords>en.stop</TrgStopWords>
		<SrcStopWords>es.stop</SrcStopWords>
	</stopwords>
	<dictionary>
		<Path>exampleFiles/</Path>
		<Dictionary>es-en.dict</Dictionary>
	</dictionary>
	<phrases>
	  <PhraseTable>exampleFiles/phrase-table.0-0.1</PhraseTable>
	</phrases>
</resources>
<preprocessing>
	<Path>./preprocessing/</Path>
	<FilterRomanSrc>false</FilterRomanSrc>
	<FilterRomanTrg>false</FilterRomanTrg>
	<input>
		<Context>wikitemp</Context>
		<Time>wikitemp</Time>
	</input>
	<context>
		<SrcEqClass>babel.content.eqclasses.SimpleEquivalenceClass</SrcEqClass>
		<TrgEqClass>babel.content.eqclasses.SimpleEquivalenceClass</TrgEqClass>
		<PruneEqIfOccursMoreThan>-1</PruneEqIfOccursMoreThan>
		<PruneEqIfOccursFewerThan>20</PruneEqIfOccursFewerThan>
		<PruneContextToSize>-1</PruneContextToSize>
		<Window>2</Window>
	</context>
	<candidates>
		<SrcEqClass>babel.content.eqclasses.SimpleEquivalenceClass</SrcEqClass>
		<TrgEqClass>babel.content.eqclasses.SimpleEquivalenceClass</TrgEqClass>
		<PruneIfOccursMoreThan>-1</PruneIfOccursMoreThan>
		<PruneIfOccursFewerThan>20</PruneIfOccursFewerThan>
		<PruneMostFrequentSrc>-1</PruneMostFrequentSrc>
		<PruneMostFrequentTrg>-1</PruneMostFrequentTrg>
	</candidates>
	<phrases>
		<MaxPhraseLength>3</MaxPhraseLength>
		<CaseSensitive>true</CaseSensitive>
		<ChunkSize>20000</ChunkSize>
		<features>
		  <DoMonoFeatures>true</DoMonoFeatures>
		  <MonoScoringThreads>1</MonoScoringThreads>
		  <ApproxFeatsWithLSH>false</ApproxFeatsWithLSH>
		</features>
		<reordering>
		  <DoReordering>false</DoReordering>
		  <ReorderingThreads>1</ReorderingThreads>            
		  <ApproxReordWithLSH>false</ApproxReordWithLSH>
                  <ContPhraseKeepProb>1.0</ContPhraseKeepProb>
                  <SrcContPhraseKeepBefore>1000</SrcContPhraseKeepBefore>
                  <SrcContPhraseKeepAfter>3000</SrcContPhraseKeepAfter>
                  <SrcContPhraseKeepDisc>3000</SrcContPhraseKeepDisc>
                  <TrgContPhraseKeepBefore>1000</TrgContPhraseKeepBefore>
                  <TrgContPhraseKeepAfter>3000</TrgContPhraseKeepAfter>
                  <TrgContPhraseKeepDisc>3000</TrgContPhraseKeepDisc>
		</reordering>
	</phrases>
	<time>
		<Align>false</Align>
	</time>
</preprocessing>
<output>
  <Path>exampleOutput/</Path>
        <PhraseTableBPL>phrase-table-bpl</PhraseTableBPL>
        <PhraseTablePL>phrase-table-pl</PhraseTablePL>
        <PhraseTableP>phrase-table-p</PhraseTableP>
        <PhraseTableL>phrase-table-l</PhraseTableL>
        <PhraseTableNone>phrase-table-none</PhraseTableNone>    
        <ReorderingTableM>reordering-table-m</ReorderingTableM> 
</output>
<experiments>
	<time>
		<SlidingWindow>false</SlidingWindow>
		<WindowSize>1</WindowSize>
	</time>
	<DictionaryPruneNumTranslations>-1</DictionaryPruneNumTranslations>
</experiments>
</configuration>
